> For the complete documentation index, see [llms.txt](https://docs.stryke.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stryke.xyz/developers/contracts/lp-management/withdraw-reserved-liquidity.md).

# Withdraw Reserved Liquidity

[Contract Git Source](https://github.com/dopex-io/dopex-v2-clamm/blob/c47ed162e778d188e077b6b1874a8b5873e15c1d/src/handlers/UniswapV3SingleTickLiquidityHandlerV2.sol)

Withdraw reserved liquidity

*This can be called by the user directly, it uses msg.sender context. Users can withdraw liquidity if it is available and their cooldown is over.*

```solidity
function withdrawReserveLiquidity(bytes calldata _reserveLiquidityParam) external whenNotPaused;
```

**Parameters**

| Name                     | Type    | Description                                        |
| ------------------------ | ------- | -------------------------------------------------- |
| `_reserveLiquidityParam` | `bytes` | The data required for withdraw reserved liquidity. |

The \``_reserveLiquidityParam`\` parameter has to be constructed the following way:

```solidity
struct BurnPositionParams {
    IUniswapV3Pool pool;
    address hook;
    int24 tickLower;
    int24 tickUpper;
    uint128 shares;
}

bytes memory _reserveLiquidityParam = abi.encode(
    _params.pool,
    _params.hook,
    _params.tickLower,
    _params.tickUpper,
    _params.shares
);

// To decode:
BurnPositionParams memory decodedParams = abi.decode(encodedData, (BurnPositionParams));
```

### **BurnPositionParams Struct**

| Field Name | Type           | Description                      |
| ---------- | -------------- | -------------------------------- |
| pool       | IUniswapV3Pool | The Uniswap V3 pool contract     |
| hook       | address        | The address of the hook contract |
| tickLower  | int24          | The lower tick of the position   |
| tickUpper  | int24          | The upper tick of the position   |
| shares     | uint128        | The amount of shares to burn     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stryke.xyz/developers/contracts/lp-management/withdraw-reserved-liquidity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
